aboutsummaryrefslogtreecommitdiff
path: root/openssl/test/testssl
diff options
context:
space:
mode:
authorMike DePaulo <mikedep333@gmail.com>2015-07-10 08:13:00 -0400
committerMike DePaulo <mikedep333@gmail.com>2015-07-10 08:23:07 -0400
commitca7b8d357638d3f7d22b5df91e325022f3517368 (patch)
treea6f0421e63b9efc3f9036f86e27b1bfe96fc9121 /openssl/test/testssl
parentab75afbcc58c927654b75d8b3c179f423e38cfbd (diff)
downloadvcxsrv-ca7b8d357638d3f7d22b5df91e325022f3517368.tar.gz
vcxsrv-ca7b8d357638d3f7d22b5df91e325022f3517368.tar.bz2
vcxsrv-ca7b8d357638d3f7d22b5df91e325022f3517368.zip
Update openssl: 1.0.1o -> 1.0.1p
Diffstat (limited to 'openssl/test/testssl')
-rw-r--r--openssl/test/testssl19
1 files changed, 9 insertions, 10 deletions
diff --git a/openssl/test/testssl b/openssl/test/testssl
index b9b86b3b6..261097beb 100644
--- a/openssl/test/testssl
+++ b/openssl/test/testssl
@@ -120,16 +120,15 @@ echo test sslv2/sslv3 with both client and server authentication via BIO pair an
$ssltest -bio_pair -server_auth -client_auth -app_verify $CA $extra || exit 1
test_cipher() {
- local cipher=$1
- local protocol=$2
- echo "Testing $cipher"
+ _cipher=$1
+ echo "Testing $_cipher"
prot=""
- if [ $protocol = "SSLv3" ] ; then
+ if [ $2 = "SSLv3" ] ; then
prot="-ssl3"
fi
- $ssltest -cipher $cipher $prot
+ $ssltest -cipher $_cipher $prot
if [ $? -ne 0 ] ; then
- echo "Failed $cipher"
+ echo "Failed $_cipher"
exit 1
fi
}
@@ -199,16 +198,16 @@ if ../util/shlib_wrap.sh ../apps/openssl no-srp; then
echo skipping SRP tests
else
echo test tls1 with SRP
- $ssltest -tls1 -cipher SRP -srpuser test -srppass abc123
+ $ssltest -tls1 -cipher SRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP via BIO pair
- $ssltest -bio_pair -tls1 -cipher SRP -srpuser test -srppass abc123
+ $ssltest -bio_pair -tls1 -cipher SRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP auth
- $ssltest -tls1 -cipher aSRP -srpuser test -srppass abc123
+ $ssltest -tls1 -cipher aSRP -srpuser test -srppass abc123 || exit 1
echo test tls1 with SRP auth via BIO pair
- $ssltest -bio_pair -tls1 -cipher aSRP -srpuser test -srppass abc123
+ $ssltest -bio_pair -tls1 -cipher aSRP -srpuser test -srppass abc123 || exit 1
fi
exit 0